<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:p="http://primefaces.org/ui">

    <body>

        <ui:composition template="./../WEB-INF/Modelo.xhtml">

            <ui:define name="top">
                
            </ui:define>

            <ui:define name="content">
                
                <p:fieldset legend="Cadastro Aluno">

                    <p:panelGrid  >

                        <p:row>
                            <p:column>
                                <p:outputLabel value="Código:" for="codigo" />
                            </p:column>
                            <p:column colspan="8">
                                <p:inputText id="codigo" value="#{cadastroAlunoBean.codigo}" readonly="true" size="2" />
                            </p:column>
                           
                        </p:row>
                        
                          <p:row>
                            <p:column >
                                <p:outputLabel value="Nome:" for="nome" />
                            </p:column>
                            <p:column colspan="8">
                                <p:inputText id="nome" value="#{cadastroAlunoBean.nome}" required="true" size="100" />
                            </p:column>
                           
                        </p:row>
                        
                        <p:row>
                            <p:column>
                                <p:outputLabel value="CPF:" for="cpf" />
                            </p:column>
                            <p:column colspan="8">
                                  <p:inputText id="cpf" value="#{cadastroAlunoBean.cpf}" required="true" />
                            </p:column>
                           
                        </p:row>
                        
                         <p:row>
                            <p:column>
                                <p:outputLabel value="Endereço:" for="endereco" />
                            </p:column>
                            <p:column>
                                  <p:inputText id="endereco" value="#{cadastroAlunoBean.endereco}" required="true" />
                            </p:column>
                             
                             <p:column>
                                <p:outputLabel value="Nº" for="numero" />
                            </p:column>
                            <p:column>
                                <p:inputText id="numero" value="#{cadastroAlunoBean.numero}" required="true" size="2" />
                            </p:column>
                              <p:column>
                                <p:outputLabel value="Cidade:" for="cidade" />
                            </p:column>
                            <p:column>
                                 <p:inputText id="cidade" value="#{cadastroAlunoBean.cidade}" />
                            </p:column>
                            <p:column>
                                 <p:outputLabel value="UF:" for="uf" />
                            </p:column>
                            <p:column>
                                 <p:inputText id="uf" value="#{cadastroAlunoBean.uf}" size="2" />
                            </p:column>
                            
                        </p:row>
                        
                          <p:row>
                            <p:column>
                                <p:outputLabel value="Complemento:" for="complemento" />
                            </p:column>
                            <p:column colspan="8">
                                 <p:inputText id="complemento" value="#{cadastroAlunoBean.complemento}" readonly="true" size="100" />
                            </p:column>
                           
                        </p:row>
       
                    </p:panelGrid>

                </p:fieldset>
       
                <p:commandButton value="Salvar" ajax="true" />


            </ui:define>

            <ui:define name="bottom">
                bottom
            </ui:define>

        </ui:composition>

    </body>
</html>
